# Method: alerts.feedback.list

- [HTTP request](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts.feedback/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts.feedback/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts.feedback/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts.feedback/list#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts.feedback/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts.feedback/list#body.ListAlertFeedbackResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts.feedback/list#body.aspect)
- [Examples](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts.feedback/list#examples)

Lists all the feedback for an alert. Attempting to list feedbacks for a non-existent alert returns `NOT_FOUND` error.

### HTTP request

`GET https://alertcenter.googleapis.com/v1beta1/alerts/{alertId}/feedback`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `alertId` | `string` Required. The alert identifier. The "-" wildcard could be used to represent all alerts. |

### Query parameters

| Parameters ||
|---|---|
| `customerId` | `string` Optional. The unique identifier of the Google Workspace account of the customer the alert is associated with. The `customerId` must have the initial "C" stripped (for example, `046psxkn`). Inferred from the caller identity if not provided. [Find your customer ID](https://support.google.com/cloudidentity/answer/10070793). |
| `filter` | `string` Optional. A query string for filtering alert feedback results. For more details, see [Query filters](https://developers.google.com/workspace/admin/alertcenter/guides/query-filters) and [Supported query filter fields](https://developers.google.com/workspace/admin/alertcenter/reference/filter-fields#alerts.feedback.list). |

### Request body

The request body must be empty.

### Response body

Response message for an alert feedback listing request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "feedback": [ { object (`https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts.feedback#AlertFeedback`) } ] } ``` |

| Fields ||
|---|---|
| `feedback[]` | ``object (`https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts.feedback#AlertFeedback`)`` The list of alert feedback. Feedback entries for each alert are ordered by creation time descending. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.alerts`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).